summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDet2017-11-05 02:26:40 +0200
committerDet2017-11-05 02:26:40 +0200
commitdd4f2dc9d6c3dd89f87961a20d9ace1490b74ecd (patch)
treeea6350394d7eb4bca94c06ccc69eb286951e8e0d
parent6a9a889ea5732dea5a82a0f440f92bbbc7a30684 (diff)
downloadaur-dd4f2dc9d6c3dd89f87961a20d9ace1490b74ecd.tar.gz
Qt 5 reader warning
-rw-r--r--jre.install12
1 files changed, 12 insertions, 0 deletions
diff --git a/jre.install b/jre.install
index 6fefc8833cc..2b84f54c2ad 100644
--- a/jre.install
+++ b/jre.install
@@ -10,6 +10,10 @@ note() {
printf "${blue}::${yellow} archlinux-java:${bold} $1${all_off}\n"
}
+note2() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
post_install() {
default=$(archlinux-java get)
case ${default} in
@@ -32,6 +36,14 @@ post_install() {
if [[ ! -f /etc/ssl/certs/java/cacerts ]]; then
update-ca-trust
fi
+
+ note2 "Since Oracle Java 9, some Qt 5 applications (such as the reader apps Zeal and
+ GoldenDict) will crash due to the existance of the Java NPAPI plugin symlink
+ (/usr/lib/mozilla/plugins/libnpjp2-jre9.so).
+
+ See:
+ - https://github.com/zealdocs/zeal/issues/802
+ - https://bbs.archlinux.org/viewtopic.php?id=231222"
}
post_upgrade() {